gr::dab::select_vectors_impl Class Reference

select a row of vectors More...

`#include <select_vectors_impl.h>`

Inheritance diagram for gr::dab::select_vectors_impl:
[legend]

## Public Member Functions

| select_vectors_impl (size_t itemsize, unsigned int length, unsigned int num_select, unsigned int num_skip)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::select_vectors
typedef std::shared_ptr< select_vectors > | sptr
Static Public Member Functions inherited from gr::dab::select_vectors
static sptr | make (size_t itemsize, unsigned int length, unsigned int num_select, unsigned int num_skip)
| Return a shared_ptr to a new instance of dab::select_vectors.

## Detailed Description

select a row of vectors

input1: vector of size length*itemsize input2: char stream with triggers for start of transmission frame

output1: vector of size length*itemsize output2: same as input2

selects a row of vectors of the transmission frame; start of a transmission frame is triggerd by input2

Parameters

  itemsize | sizeof input and outputstream of port 0
  length | vector length
  num_select | number of vectors to select
  num_skip | number of vectors to skip before selection of num_select vectors

## Constructor & Destructor Documentation

## select_vectors_impl()

gr::dab::select_vectors_impl::select_vectors_impl | ( | size_t | itemsize,
|  | unsigned int | length,
|  | unsigned int | num_select,
|  | unsigned int | num_skip )

## Member Function Documentation

## forecast()

void gr::dab::select_vectors_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::select_vectors_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- select_vectors_impl.h